curl --request PATCH \
--url https://api.venice.ai/api/v1/api_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
"consumptionLimit": {
"usd": 50,
"diem": 10,
"vcu": 30
},
"limitPeriod": "MONTH",
"description": "Updated API Key Name",
"expiresAt": "2023-10-01T12:00:00.000Z"
}
'import requests
url = "https://api.venice.ai/api/v1/api_keys"
payload = {
"id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
"consumptionLimit": {
"usd": 50,
"diem": 10,
"vcu": 30
},
"limitPeriod": "MONTH",
"description": "Updated API Key Name",
"expiresAt": "2023-10-01T12:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'e28e82dc-9df2-4b47-b726-d0a222ef2ab5',
consumptionLimit: {usd: 50, diem: 10, vcu: 30},
limitPeriod: 'MONTH',
description: 'Updated API Key Name',
expiresAt: '2023-10-01T12:00:00.000Z'
})
};
fetch('https://api.venice.ai/api/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"apiKeyType": "ADMIN",
"consumptionLimits": {
"usd": 50,
"diem": 10,
"vcu": 30
},
"limitPeriod": "MONTH",
"createdAt": "2023-10-01T12:00:00.000Z",
"expiresAt": "2023-10-01T12:00:00.000Z",
"id": "e28e82dc-9df2-4b47-b726-d0a222ef2ab5",
"last6Chars": "2V2jNW",
"lastUsedAt": "2023-10-01T12:00:00.000Z",
"description": "Updated API Key"
},
"success": true
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}API 키 업데이트
Update an existing API key. The description, expiration date, and consumption limits can be updated.
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
The request body for updating an existing API key. The description, expiration date, consumption limits and limit period (epoch / month / lifetime) can be updated.
The API Key ID to update
"e28e82dc-9df2-4b47-b726-d0a222ef2ab5"
The API Key consumption limits, evaluated against the window selected by limitPeriod.
Show child attributes
Show child attributes
{ "usd": 50, "diem": 10, "vcu": 30 }Reset window the consumption limits apply to. EPOCH resets every UTC day (legacy default). MONTH resets on the 1st of each UTC calendar month. LIFETIME never resets, so the limit acts as a permanent cap on the key.
EPOCH, MONTH, LIFETIME "MONTH"
The API Key description (max 64 characters)
64"Updated API Key Name"
The API Key expiration date. Set to empty string or null to remove expiration.
"2023-10-01T12:00:00.000Z"